'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlLocalDB');
  // 潜客转化车主  本地清洗  数据结构
  const tRegisterInfoSchema = new Schema({
    create_date: { type: Number }, // 统计的数据是哪一天的
    year: { type: Number }, // 年 统计的数据
    month: { type: Number }, // 月 统计的数据
    day: { type: Number }, // 日 统计的数据
    dateString: { type: String }, // 时间字符串  yyyy-MM-dd
    start_time: { type: Date }, // 开始统计时间
    end_time: { type: Date, default: Date.now }, // 结束统计时间

    total: { type: Number }, // 转化数
    saledTotal: { type: Number }, // 当前实销总数


  });
  tRegisterInfoSchema.index({ create_date: -1 });
  return conn.model('TRegisterInfo', tRegisterInfoSchema, 'lc_t_register_info');
};
