'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlDB');
  // 消息类型
  const MsgTypeSchema = new Schema({
    _id: { type: Number }, //
    type_code: { type: String }, // 类型code
    type_name: { type: String }, // 类型名称
    create_time: { type: Number }, // 时间戳（毫秒）
    parent_id: { type: Number }, // 父ID

  });
  return conn.model('MsgType', MsgTypeSchema, 'msg_type');
};
