'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlDB');
  // 省 数据结构
  const TSyncProvinceSchema = new Schema({
    _id: { type: String }, // Objectid
    province_id: { type: String }, // 省id
    province_name: { type: String }, // 省名称
    province_short_name: { type: String }, // 省简称
    spelling: { type: String }, // 拼写
    out_pro_code: { type: String }, // 省编码

  });
  TSyncProvinceSchema.index({ out_pro_code: -1 });
  TSyncProvinceSchema.index({ province_id: -1 });
  return conn.model(' TSyncProvince', TSyncProvinceSchema, 't_sync_province');
};
