'use strict';

module.exports = app => {
  const { router, controller } = app;

  // 车辆天窗时长占比分布 skyDuration
  // 近光使用时长占比分布  headlightDuration
  // 远光使用时长占比分布  highBeamDuration
  // 近光使用次数占比分布  headlightCnt
  // 远光使用次数占比分布  highBeamCnt
  router.get('/report/vehicleHardware/mix/:id', controller.vehicleHardwareController2.index);

  // 车辆天窗时长统计  skyDuration
  // 近光使用时长统计  headlightDuration
  // 远光使用时长统计  highBeamDuration
  // 近光使用次数统计  headlightCnt
  // 远光使用次数统计  highBeamCnt
  router.get('/report/vehicleHardware/count/:id', controller.vehicleHardwareController2.count);

  // 空调开启/关闭时长占比
  // 空调开启状态下压缩机开启/关闭时长占比
  // 空调开启状态下Auto开启/关闭时长占比
  // 各风量等级使用时长占比
  router.get('/report/vehicleHardware/air', controller.vehicleHardwareController2.air);
};

