'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlDB');
  // 市 数据结构
  const TSyncCitySchema = new Schema({
    _id: { type: String }, // Objectid
    city_name: { type: String }, // 市名称
    province_id: { type: String }, // 父级省id
    out_city_code: { type: String }, // 市编码
    city_id: { type: String }, // 市id
  });
  TSyncCitySchema.index({ out_city_code: -1, province_id: -1 });
  return conn.model('TSyncCity', TSyncCitySchema, 't_sync_city');
};
