'use strict';

module.exports = app => {
  const { router, controller } = app;
  // 实销车分布
  router.get('/report/carHeat/saled', controller.carHeatController.saled);
  // 在线车分布
  router.get('/report/carHeat/online', controller.carHeatController.online);
  // 离线车分布
  router.get('/report/carHeat/offline', controller.carHeatController.offline);

  // 在线离线车  实时的快照数据
  router.get('/report/carHeat/liveStatus', controller.carHeatController.liveStatus);
  // 在线离线车  历史轨迹
  router.get('/report/carHeat/travel', controller.carHeatController.travel);

  // 活跃车分布
  router.get('/report/carHeat/active', controller.carHeatController.active);

};

